.toast-container {
    z-index: 999999;
    pointer-events: auto !important;
}

.toast-container.top-right {
    top: 0;
    right: 0;
}

.toast-container.top-left {
    top: 0;
    left: 0;
}

.toast-container.bottom-right {
    bottom: 0;
    right: 0;
}

.toast-container.bottom-left {
    bottom: 0;
    left: 0;
}

.toast-notification {
    position: relative;
    margin: 1rem;
    min-width: 300px;
    max-width: 350px;
    display: flex;
    flex-direction: column;
    padding: 1rem;
    border-radius: 4px;
    background-color: #fff;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    border: 1px solid rgb(229 231 235 / 1);
    animation: slideIn 0.5s ease-out, fadeOut 0.5s ease-in forwards;
}

.toast-notification-container{
    display: flex;
    align-items: center;
}

.toast__icon {
    margin-right: 1rem;
}

.toast__icon-success {
    color: rgb(20 184 166);
}

.toast__icon-error {
    color: rgb(239 68 68);
}

.toast__icon-warning {
    color: rgb(234 179 8);
}

.toast__icon-info {
    color: rgb(59 130 246);
}

.toast-timer {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 4px;
    background-color: #00bcd4;
    width: 100%;
    transform-origin: left;
}

.toast-timer-success {
    background-color: rgb(20 184 166);
}

.toast-timer-error {
    background-color: rgb(239 68 68);
}

.toast-timer-warning {
    background-color: rgb(234 179 8);
}

.toast-timer-info {
    background-color: rgb(59 130 246);
}

.toast__body {
    flex: 1;
}

.toast__close {
    cursor: pointer;
    margin: 0 1rem;
}

.toast--success,
.toast--info,
.toast--warning,
.toast--error {
    color: black;
}

.toast__title{
    font-size: 1.25rem;
}

@keyframes progress {
    from {
        transform: scaleX(1);
    }
    to {
        transform: scaleX(0);
    }
}
/* Animations */
@keyframes slideIn {
    from {
        opacity: 0;
        transform: translateX(-100%);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
        transform: translateY(0);
    }
    100% {
        opacity: 0;
        transform: translateY(-20px);
    }
}
